from ase.build import bulk, make_supercell
from ase.io import read, write
import numpy as np
from ase import Atoms

Ge_cubic = bulk('Ge', 'diamond', a=5.7620, cubic=True)
matrix = [[2, 0, 0], [0, 2, 0], [0, 0, 2]]
Ge_sup = make_supercell(Ge_cubic, matrix)
#write('POSCAR0', Ge_222, format='vasp')

#Ge_sup.numbers[111]=13
#del Ge_sup[110]

del Ge_sup[[atom.index for atom in Ge_sup if all(atom.position == [5.7619999999999987, 5.7619999999999987, 5.7619999999999987])]]
del Ge_sup[[atom.index for atom in Ge_sup if all(atom.position == [7.2024999999999997, 7.2024999999999997, 7.2024999999999997])]]

pos = 2*(7.2024999999999997-5.7619999999999987)/4+5.7619999999999987
mid_pos = np.array([pos, pos, pos])
mid_atom = Atoms('Ge', positions=[mid_pos])
structure_01 = Ge_sup + mid_atom
#structure_01.rattle(stdev=0.015)
write('POSCAR', structure_01, format='vasp')




